      SUBROUTINE SIGINI(SIGMA,COORDS,NTENS,NCRDS,NOEL,NPT,LAYER,
     1 KSPT,LREBAR,REBARN)
C
      INCLUDE 'ABA_PARAM.INC'
C
      DIMENSION SIGMA(NTENS),COORDS(NCRDS)
      CHARACTER*80 REBARN

      IF(COORDS(1).LE.-79.325) THEN
      write(*,*)"error"
	ELSEIF(COORDS(1).LE.80.6750)THEN
      SIGMA(2)=0.023*(COORDS(2)-(83.234+0.0017*COORDS(1)-0.0036*
	1COORDS(1)**2))
      SIGMA(1)=SIGMA(2)*0.5
      SIGMA(3)=0.27*(SIGMA(1)+SIGMA(2))
      ELSE 
      WRITE(*,*)"ERROR"
      ENDIF      
      	


      RETURN
      END
